1. Vendors - Delivery
3enab
🚚 Delivery Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - Delivery
    • Register a new delivery driver
      POST
    • Login delivery driver
      POST
    • Logout delivery driver
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Delivery - Orders
    • Get all orders for delivery coordinator
      GET
    • Get driver's assigned orders
      GET
    • Driver — delivered orders report (date range)
      GET
    • Get order details
      GET
    • Send assignment request to driver (Coordinator)
      POST
    • Accept assignment (Driver)
      POST
    • Reject assignment (Driver)
      POST
    • Update order status
      PATCH
    • Coordinator — driver delivered orders report (date/time range)
      GET
  • Users - Delivery
    • Get current delivery user profile
      GET
    • Update current delivery user profile
      PUT
    • Delete current delivery user account
      DELETE
    • Change password
      POST
    • Change driver status (online/offline/busy)
      PATCH
    • Get all drivers by status (Coordinator)
      GET
    • Get driver by ID (Coordinator)
      GET
    • Update driver (Coordinator)
      PUT
    • Delete driver (Coordinator)
      DELETE
    • Get all delivery coordinators
      GET
  • Versions - Delivery
    • Get the latest version for Delivery app
  • Delivery - Delivery Areas
    • Get all delivery areas (delivery app)
    • Get delivery area by ID (delivery app)
  • Orders - Delivery
    • Get active orders for a specific driver
  • Vendors - Delivery
    • List vendors (Coordinator)
      GET
  1. Vendors - Delivery

List vendors (Coordinator)

GET
/api/v1/delivery/vendors
Returns active vendors with pagination and optional filters.
Coordinator only — requires isDeliveryCoordinator: true on the delivery user.
Same query behaviour as GET /api/v1/vendors for the user app.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200
application/json
Vendors fetched successfully
Body

Example
{
    "status": "success",
    "message": "Vendors fetched successfully",
    "data": {
        "vendors": [
            {
                "_id": "string",
                "name": "string",
                "description": "string",
                "category": "string",
                "workingHours": {},
                "logoPath": "string",
                "coverPath": "string",
                "averageRate": 0,
                "totalRates": 0,
                "order": 0,
                "freeDelivery": true,
                "preparationTime": {}
            }
        ],
        "total": 120,
        "page": 1,
        "limit": 15,
        "totalPages": 8
    }
}
🟠401
Modified at 2026-04-08 13:50:28
Previous
Get active orders for a specific driver
Built with